with Ada.Containers.Indefinite_Vectors;  use Ada.Containers;
pragma Elaborate_All (Ada.Containers.Indefinite_Vectors);

package Wordfreq_Types is
   pragma Preelaborate;

   type Data_Type (Word_Length : Positive) is record
      Word  : String (1 .. Word_Length);
      Count : Natural;
   end record;

   package Data_Vectors is
      new Ada.Containers.Indefinite_Vectors (Positive, Data_Type);

   procedure Insert
     (Data_Vector : in out Data_Vectors.Vector;
      Word        : in     String);

end Wordfreq_Types;
